Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Sig_Action Class Reference

C++ wrapper facade for the <sigaction> struct. More...

`#include <Signal.h>`

List of all members.

## Public Methods
| ACE_Sig_Action (void)
| Default constructor. Initializes everything to 0.
| ACE_Sig_Action (ACE_SignalHandler handler, sigset_t *sigmask=0, int flags=0)
| ACE_Sig_Action (ACE_SignalHandler handler, const ACE_Sig_Set &sigmask, int flags=0)
| ACE_Sig_Action (ACE_SignalHandler handler, int signum, sigset_t *sigmask=0, int flags=0)
| ACE_Sig_Action (ACE_SignalHandler handler, int signum, const ACE_Sig_Set &sigmask, int flags=0)
| ACE_Sig_Action (const ACE_Sig_Set &signalss, ACE_SignalHandler handler, const ACE_Sig_Set &sigmask, int flags=0)
| ACE_Sig_Action (const ACE_Sig_Set &signalss, ACE_SignalHandler handler, sigset_t *sigmask=0, int flags=0)
| ACE_Sig_Action (const ACE_Sig_Action &s)
| Copy constructor.
| ~ACE_Sig_Action (void)
| Default dtor.
int | register_action (int signum, ACE_Sig_Action *oaction=0)
int | restore_action (int signum, ACE_Sig_Action &oaction)
int | retrieve_action (int signum)
| Retrieve the current disposition into <this>.
void | set (struct sigaction *)
| Set current signal action.
sigaction * | get (void)
| Get current signal action.
| operator ACE_SIGACTION * ()
void | flags (int)
| Set current signal flags.
int | flags (void)
| Get current signal flags.
void | mask (sigset_t *)
| Set current signal mask.
void | mask (ACE_Sig_Set &)
sigset_t * | mask (void)
| Get current signal mask.
void | handler (ACE_SignalHandler)
| Set current signal handler (pointer to function).
ACE_SignalHandler | handler (void)
| Get current signal handler (pointer to function).
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
sigaction | sa_
| Controls signal behavior.

## Detailed Description

C++ wrapper facade for the <sigaction> struct.

## Constructor & Destructor Documentation

ACE_Sig_Action::ACE_Sig_Action | ( | void |  | ) |

| Default constructor. Initializes everything to 0.

ACE_Sig_Action::ACE_Sig_Action | ( | ACE_SignalHandler | handler,
|  | sigset_t * | sigmask = 0,
|  | int | flags = 0
| ) |

| Assigns the various fields of a <sigaction> struct but doesn't register for signal handling via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action | ( | ACE_SignalHandler | handler,
|  | const ACE_Sig_Set & | sigmask,
|  | int | flags = 0
| ) |

| Assigns the various fields of a <sigaction> struct but doesn't register for signal handling via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action | ( | ACE_SignalHandler | handler,
|  | int | signum,
|  | sigset_t * | sigmask = 0,
|  | int | flags = 0
| ) |

| Assigns the various fields of a <sigaction> struct and registers the <handler> to process signal <signum> via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action | ( | ACE_SignalHandler | handler,
|  | int | signum,
|  | const ACE_Sig_Set & | sigmask,
|  | int | flags = 0
| ) |

| Assigns the various fields of a <sigaction> struct and registers the <handler> to process signal <signum> via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action | ( | const ACE_Sig_Set & | signalss,
|  | ACE_SignalHandler | handler,
|  | const ACE_Sig_Set & | sigmask,
|  | int | flags = 0
| ) |

| Assigns the various fields of a <sigaction> struct and registers the <handler> to process all <signals> via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action | ( | const ACE_Sig_Set & | signalss,
|  | ACE_SignalHandler | handler,
|  | sigset_t * | sigmask = 0,
|  | int | flags = 0
| ) |

| Assigns the various fields of a <sigaction> struct and registers the <handler> to process all <signals> via the <sigaction> function.

ACE_INLINE ACE_Sig_Action::ACE_Sig_Action | ( | const ACE_Sig_Action & | s | ) |

| Copy constructor.

ACE_INLINE ACE_Sig_Action::~ACE_Sig_Action | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

void ACE_Sig_Action::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_INLINE int ACE_Sig_Action::flags | ( | void |  | ) |

| Get current signal flags.

ACE_INLINE void ACE_Sig_Action::flags | ( | int |  | ) |

| Set current signal flags.

ACE_INLINE struct sigaction * ACE_Sig_Action::get | ( | void |  | ) |

| Get current signal action.

ACE_INLINE ACE_SignalHandler ACE_Sig_Action::handler | ( | void |  | ) |

| Get current signal handler (pointer to function).

ACE_INLINE void ACE_Sig_Action::handler | ( | ACE_SignalHandler |  | ) |

| Set current signal handler (pointer to function).

ACE_INLINE sigset_t * ACE_Sig_Action::mask | ( | void |  | ) |

| Get current signal mask.

ACE_INLINE void ACE_Sig_Action::mask | ( | ACE_Sig_Set & |  | ) |

ACE_INLINE void ACE_Sig_Action::mask | ( | sigset_t * |  | ) |

| Set current signal mask.

ACE_INLINE ACE_Sig_Action::operator ACE_SIGACTION * | ( |  | ) |

ACE_INLINE int ACE_Sig_Action::register_action | ( | int | signum,
|  | ACE_Sig_Action * | oaction = 0
| ) |

| Register <this> as the current disposition and store old disposition into <oaction> if it is non-NULL.

ACE_INLINE int ACE_Sig_Action::restore_action | ( | int | signum,
|  | ACE_Sig_Action & | oaction
| ) |

| Assign the value of <oaction> to <this> and make it become the new signal disposition.

ACE_INLINE int ACE_Sig_Action::retrieve_action | ( | int | signum | ) |

| Retrieve the current disposition into <this>.

ACE_INLINE void ACE_Sig_Action::set | ( | struct sigaction * |  | ) |

| Set current signal action.

## Member Data Documentation

ACE_Sig_Action::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

struct sigaction ACE_Sig_Action::sa_`[private]`

| Controls signal behavior.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Signal.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Signal.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Signal.i